View Issue Details

IDProjectCategoryView StatusLast Update
0031908Open CASCADEOCCT:DRAWpublic2020-12-15 14:28
Reporterasuraven Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version5.2.2 
Target Version7.6.0Fixed in Version7.6.0 
Summary0031908: Draw Harness, TKTopTest - wavefront file path length is limited to 100 characters
Descriptionwavefront DRAW command does not work if file path length is longer than 100 characters
Steps To Reproducepload MODELING
box b 10 20 30
wavefront b the_name_of_saved_with_wavefront_command_box_that_measures_10_20_30_and_has_length_of_its_name_longer_than_100_characters
TagsNo tags attached.
Test case numberdemo/draw/bug31908

Relationships

related to 0031136 closedbugmaster Modeling Data - BinXCAF persistence loses normals from triangulation-only Faces 
parent of 0031998 closedbugmaster Tests - unexpected file artifact at the root of repository 

Activities

git

2020-11-03 17:22

administrator   ~0096511

Branch CR31908 has been created by asuraven.

SHA-1: c83eb56f06b6854a7df49010a1f1e43aabc2a3ad


Detailed log of new commits:

Author: asuraven
Date: Tue Nov 3 17:22:14 2020 +0300

    0031908: Draw Harness, TKTopTest - wavefront file path length is limited to 100 characters
    
    * Change file path variable in wavefront function from char[100] to TCollection_AsciiString

git

2020-11-03 17:44

administrator   ~0096513

Branch CR31908 has been deleted by asuraven.

SHA-1: c83eb56f06b6854a7df49010a1f1e43aabc2a3ad

git

2020-11-03 17:44

administrator   ~0096514

Branch CR31908 has been created by asuraven.

SHA-1: 8543fa4ebff14ca40cb906a426465429b96faa33


Detailed log of new commits:

Author: asuraven
Date: Tue Nov 3 17:22:14 2020 +0300

    0031908: Draw Harness, TKTopTest - wavefront file path length is limited to 100 characters
    
    * Change file path variable in wavefront function from char[100] to TCollection_AsciiString

kgv

2020-11-03 17:55

developer   ~0096516

+  FILE* outfile = fopen(aFile.ToCString(), "w");

Could you please replace fopen() with OSD_OpenFile() in scope of this patch?

git

2020-11-03 18:10

administrator   ~0096517

Branch CR31908 has been deleted by asuraven.

SHA-1: 8543fa4ebff14ca40cb906a426465429b96faa33

git

2020-11-03 18:10

administrator   ~0096518

Branch CR31908 has been created by asuraven.

SHA-1: a62d30daead466383f1ca42207f6f122f1ca55e8


Detailed log of new commits:

Author: asuraven
Date: Tue Nov 3 17:22:14 2020 +0300

    0031908: Draw Harness, TKTopTest - wavefront file path length is limited to 100 characters
    
    * Change file path variable in wavefront function from char[100] to TCollection_AsciiString

git

2020-11-05 11:45

administrator   ~0096529

Branch CR31908 has been deleted by asuraven.

SHA-1: a62d30daead466383f1ca42207f6f122f1ca55e8

git

2020-11-05 11:45

administrator   ~0096530

Branch CR31908 has been created by asuraven.

SHA-1: 6719ebc5829a47d9f80f32867d4875962f43321c


Detailed log of new commits:

Author: asuraven
Date: Tue Nov 3 17:22:14 2020 +0300

    0031908: Draw Harness, TKTopTest - wavefront file path length is limited to 100 characters
    
    * Change file path variable in wavefront function from char[100] to TCollection_AsciiString

asuraven

2020-11-05 14:27

developer   ~0096537

Tests with CR31136_4 are OK:
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR31136_4-master-ASURAVEN/view/COMPARE/
Please review

msv

2020-11-05 15:56

developer   ~0096549

For integration:
occt - CR31908
products - none

bugmaster

2020-11-21 12:43

administrator   ~0096938

Combination -
OCCT branch : IR-2020-11-20
master SHA - c5892d852bb462075f9db03f31085e35d7b59f35
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-11-20 SHA - a5d1f89f5fa83c955e6a604f57a5b590eb433b43
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18024.090000000127 / 17964.340000000077 [+0.33%]
Products
Total CPU difference: 12166.12000000011 / 12169.520000000111 [-0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19696.90625 / 19723.125 [-0.13%]
Products
Total CPU difference: 13644.875 / 13567.078125 [+0.57%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-11-21 13:28

administrator   ~0096964

Branch CR31908 has been deleted by inv.

SHA-1: 6719ebc5829a47d9f80f32867d4875962f43321c

Related Changesets

occt: master 84d0342c

2020-11-03 14:22:14

asuraven


Committer: bugmaster Details Diff
0031908: Draw Harness, TKTopTest - wavefront file path length is limited to 100 characters

* Change file path variable in wavefront function from char[100] to TCollection_AsciiString
Affected Issues
0031908
mod - src/MeshTest/MeshTest.cxx Diff File
add - tests/demo/draw/bug31908 Diff File

Issue History

Date Modified Username Field Change
2020-11-03 16:15 asuraven New Issue
2020-11-03 16:15 asuraven Assigned To => asuraven
2020-11-03 16:16 asuraven Relationship added related to 0031136
2020-11-03 16:17 asuraven Summary wavefront file path length is limited to 100 characters => Modeling Data - wavefront file path length is limited to 100 characters
2020-11-03 16:20 asuraven Status new => assigned
2020-11-03 16:20 kgv Status assigned => new
2020-11-03 16:20 kgv Category OCCT:Modeling Data => OCCT:DRAW
2020-11-03 16:20 kgv Summary Modeling Data - wavefront file path length is limited to 100 characters => Draw Harness, TKTopTest - wavefront file path length is limited to 100 characters
2020-11-03 16:23 kgv Product Version => 5.2.2
2020-11-03 17:00 asuraven Status new => assigned
2020-11-03 17:22 git Note Added: 0096511
2020-11-03 17:44 git Note Added: 0096513
2020-11-03 17:44 git Note Added: 0096514
2020-11-03 17:55 kgv Note Added: 0096516
2020-11-03 18:10 git Note Added: 0096517
2020-11-03 18:10 git Note Added: 0096518
2020-11-05 11:45 git Note Added: 0096529
2020-11-05 11:45 git Note Added: 0096530
2020-11-05 14:27 asuraven Note Added: 0096537
2020-11-05 14:30 asuraven Assigned To asuraven => msv
2020-11-05 14:30 asuraven Status assigned => resolved
2020-11-05 14:30 asuraven Steps to Reproduce Updated
2020-11-05 15:56 msv Note Added: 0096549
2020-11-05 15:56 msv Assigned To msv => bugmaster
2020-11-05 15:56 msv Status resolved => reviewed
2020-11-21 12:39 bugmaster Changeset attached => occt master 84d0342c
2020-11-21 12:39 bugmaster Status reviewed => verified
2020-11-21 12:39 bugmaster Resolution open => fixed
2020-11-21 12:43 bugmaster Note Added: 0096938
2020-11-21 12:50 bugmaster Test case number => demo/draw/bug31908
2020-11-21 13:28 git Note Added: 0096964
2020-12-15 14:28 kgv Relationship added parent of 0031998